// ignore: depend_on_referenced_packages
import 'package:curved_navigation_bar/curved_navigation_bar.dart';
import 'package:flutter/material.dart';
import 'package:jobportal/UI/company/all_jobs_screen.dart';
import 'package:jobportal/UI/company/company_profile_screen.dart';
import 'package:jobportal/UI/company/create_job_screen.dart';
import '../../services/global_methods.dart';
import '../company/company_setting_screen.dart';
import '../home_screen/home_screen.dart';

// ignore: must_be_immutable
class MyBottomNavigationBar extends StatelessWidget {
  int indexNum = 0;

  MyBottomNavigationBar({super.key, required this.indexNum});

  @override
  Widget build(BuildContext context) {
    return CurvedNavigationBar(
      index: indexNum,
      height: 50,
      animationDuration: const Duration(milliseconds: 300),
      animationCurve: Curves.bounceInOut,
      onTap: (index) {
        if (index == 0) {
          Navigator.pushReplacement(context,
              MaterialPageRoute(builder: (context) => const HomeScreen()));
        } else if (index == 1) {
          Navigator.pushReplacement(context,
              MaterialPageRoute(builder: (context) => const AllJobsScreen()));
        } else if (index == 2) {
          Navigator.pushReplacement(
              context,
              MaterialPageRoute(
                  builder: (context) => const CompanyProfileScreen()));
        } else if (index == 3) {
          Navigator.pushReplacement(
              context,
              MaterialPageRoute(
                  builder: (context) => const CompanySettingScreen()));
        } else if (index == 4) {
          Navigator.pushReplacement(context,
              MaterialPageRoute(builder: (context) => const CreateJobScreen()));
        } else if (index == 5) {
          GlobalMethods.logout(context);
        }
      },
      items: const [
        Icon(
          Icons.home,
          size: 19,
          color: Colors.black87,
        ),
        Icon(
          Icons.search,
          size: 19,
          color: Colors.black87,
        ),
        Icon(
          Icons.person_pin,
          size: 19,
          color: Colors.black87,
        ),
        Icon(
          Icons.settings,
          size: 19,
          color: Colors.black87,
        ),
        Icon(
          Icons.add,
          size: 19,
          color: Colors.black87,
        ),
        Icon(
          Icons.logout,
          size: 19,
          color: Colors.black87,
        ),
      ],
      backgroundColor: Colors.grey.shade400,
      buttonBackgroundColor: Colors.blueAccent.shade400,
      color: Colors.orange,
    );
  }
}
