import 'package:curved_navigation_bar/curved_navigation_bar.dart';
import 'package:flutter/material.dart';
import 'package:jobportal/UI/jobseeker/jobseeker_profile_screen.dart';
import '../../services/global_methods.dart';
import '../home_screen/home_screen.dart';
import '../jobseeker/favourites_screen.dart';

// ignore: must_be_immutable
class JobseekerBottomNavigationBar extends StatelessWidget {
  int indexNum = 0;

  JobseekerBottomNavigationBar({super.key, required this.indexNum});

  @override
  Widget build(BuildContext context) {
    return CurvedNavigationBar(
      index: indexNum,
      height: 50,
      animationDuration: const Duration(milliseconds: 300),
      animationCurve: Curves.bounceInOut,
      onTap: (index) {
        if (index == 0) {
          Navigator.pushReplacement(context,
              MaterialPageRoute(builder: (context) => const HomeScreen()));
        } else if (index == 1) {
        } else if (index == 2) {
          Navigator.pushReplacement(
              context,
              MaterialPageRoute(
                  builder: (context) => JobseekerProfileScreen()));
        } else if (index == 3) {
          // Navigator.pushReplacement(
          //     context,
          //     MaterialPageRoute(
          //         builder: (context) => const ManageAccountScreen()));
        } else if (index == 4) {
          Navigator.pushReplacement(context,
              MaterialPageRoute(builder: (context) => const FavoritesScreen()));
        } else if (index == 5) {
          GlobalMethods.logout(context);
        }
      },
      items: const [
        Icon(
          Icons.home,
          size: 19,
          color: Colors.black87,
        ),
        Icon(
          Icons.search,
          size: 19,
          color: Colors.black87,
        ),
        Icon(
          Icons.person_pin,
          size: 19,
          color: Colors.black87,
        ),
        Icon(
          Icons.settings,
          size: 19,
          color: Colors.black87,
        ),
        Icon(
          Icons.star,
          size: 19,
          color: Colors.black87,
        ),
        Icon(
          Icons.logout,
          size: 19,
          color: Colors.black87,
        ),
      ],
      backgroundColor: Colors.grey.shade400,
      buttonBackgroundColor: Colors.blueAccent.shade400,
      color: Colors.orange,
    );
  }
}
