import 'package:flutter/material.dart';
import 'package:jobportal/UI/bottom_navigation_bar/jobseeker_bottom_navigation_bar.dart';

import '../../services/global_methods.dart';
import 'jobseeker_jobs_screen.dart';
import 'my_interviews_screen.dart';

class FavoritesScreen extends StatefulWidget {
  const FavoritesScreen({super.key});

  @override
  State<FavoritesScreen> createState() => _FavoritesScreenState();
}

class _FavoritesScreenState extends State<FavoritesScreen> {
  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
        bottomNavigationBar: JobseekerBottomNavigationBar(
          indexNum: 4,
        ),
        backgroundColor: Colors.grey.shade300,
        appBar: AppBar(
          // flexibleSpace: Container(
          //   decoration: const BoxDecoration(
          //       gradient: LinearGradient(
          //           colors: [Colors.cyan, Colors.greenAccent],
          //           begin: Alignment.centerLeft,
          //           end: Alignment.centerRight,
          //           stops: [0.2, 0.9])),
          // ),
          backgroundColor: Colors.orange,
          title: const Text("Favorites"),
          centerTitle: true,
        ),
        body: Container(
          // decoration: const BoxDecoration(
          //     gradient: LinearGradient(
          //         colors: [Colors.cyan, Colors.greenAccent],
          //         begin: Alignment.centerLeft,
          //         end: Alignment.centerRight,
          //         stops: [0.2, 0.9])),
          child: Column(
            mainAxisAlignment: MainAxisAlignment.start,
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              GestureDetector(
                  onTap: () {
                    Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => MyInterviewsScreen()));
                  },
                  child: GlobalMethods.userInfo(
                      myIcon: Icons.star, content: "My Interviews")),
              GestureDetector(
                  onTap: () {
                    Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => const JobseekerJobsScreen()));
                  },
                  child: GlobalMethods.userInfo(
                      myIcon: Icons.star, content: "My Jobs")),
            ],
          ),
        ),
      ),
    );
  }
}
