import 'package:flutter/material.dart';
import 'package:jobportal/UI/jobseeker/jobseeker_cv_screen.dart';
import 'package:jobportal/data/jobseeker.dart';
import 'package:jobportal/services/global_variables.dart';

// ignore: must_be_immutable
class ApplicantsWidget extends StatefulWidget {
  final Jobseeker jobseeker;
  String jobId;
  String jobName;

  ApplicantsWidget(
      {super.key,
      required this.jobseeker,
      required this.jobId,
      required this.jobName});

  @override
  State<ApplicantsWidget> createState() => _ApplicantsWidgetState();
}

class _ApplicantsWidgetState extends State<ApplicantsWidget> {
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: Card(
        color: Colors.white24,
        child: ListTile(
          onLongPress: () {},
          onTap: () {
            Navigator.push(
                context,
                MaterialPageRoute(
                    builder: (context) => CVScreen(
                          jobseeker: widget.jobseeker,
                          jobId: widget.jobId,
                          jobName: widget.jobName,
                        )));
          },
          leading: Container(
              width: 100,
              height: 150,
              padding: const EdgeInsets.only(right: 8.0),
              decoration: const BoxDecoration(
                border: Border(right: BorderSide(width: 1)),
              ),
              child: Expanded(
                child: Image.network(
                  '$myUrl/api/jobseekers/getImage/${widget.jobseeker.image}',
                  fit: BoxFit.fill,
                  headers: {
                    'Authorization': 'Bearer ${identifier.token}',
                  },
                ),
              )),
          title: Text(widget.jobseeker.name,
              style: const TextStyle(
                  color: Colors.amber,
                  fontSize: 18,
                  fontWeight: FontWeight.bold),
              maxLines: 2,
              overflow: TextOverflow.ellipsis),
          subtitle: Column(
            mainAxisAlignment: MainAxisAlignment.start,
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Text(widget.jobseeker.specificationName,
                  style: const TextStyle(
                      color: Colors.black,
                      fontSize: 15,
                      fontWeight: FontWeight.bold),
                  maxLines: 2,
                  overflow: TextOverflow.ellipsis),
              const SizedBox(
                height: 8,
              ),
              Text(widget.jobseeker.email,
                  style: const TextStyle(
                    color: Colors.black,
                    fontSize: 13,
                  ),
                  maxLines: 3,
                  overflow: TextOverflow.ellipsis),
              const SizedBox(
                height: 8,
              ),
            ],
          ),
          trailing: const Icon(
            Icons.keyboard_arrow_right,
            color: Colors.black,
            size: 30,
          ),
        ),
      ),
    );
  }
}
