import 'package:flutter/material.dart';
import 'package:jobportal/UI/company/job_applicants_screen.dart';
import 'package:jobportal/data/job.dart';
import '../services/global_variables.dart';

class ShowJobWidget extends StatefulWidget {
  final Job job;
  const ShowJobWidget({super.key, required this.job});
  @override
  State<ShowJobWidget> createState() => _ShowJobWidgetState();
}

class _ShowJobWidgetState extends State<ShowJobWidget> {
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: Card(
        color: Colors.white24,
        child: ListTile(
          onLongPress: () {},
          onTap: () {
            Navigator.push(
                context,
                MaterialPageRoute(
                    builder: (context) => ShowApplicantsScreen(
                          id: widget.job.id,
                          jobName: widget.job.name,
                        )));
          },
          leading: Container(
              width: 100,
              height: 300,
              padding: const EdgeInsets.only(right: 8.0),
              decoration: const BoxDecoration(
                border: Border(right: BorderSide(width: 1)),
              ),
              child: SizedBox(
                width: 100,
                height: 300,
                child: ClipRRect(
                    borderRadius: BorderRadius.circular(4.0),
                    child: Expanded(
                      child: Image.network(
                        '$myUrl/api/company/getImage/${widget.job.image}',
                        fit: BoxFit.fill,
                        headers: {
                          'Authorization': 'Bearer ${identifier.token}',
                        },
                      ),
                    )),
              )),
          title: Text(widget.job.companyName,
              style: const TextStyle(
                  color: Colors.amber,
                  fontSize: 18,
                  fontWeight: FontWeight.bold),
              maxLines: 2,
              overflow: TextOverflow.ellipsis),
          subtitle: Column(
            mainAxisAlignment: MainAxisAlignment.start,
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Text(widget.job.name,
                  style: const TextStyle(
                      color: Colors.black,
                      fontSize: 15,
                      fontWeight: FontWeight.bold),
                  maxLines: 2,
                  overflow: TextOverflow.ellipsis),
              const SizedBox(
                height: 8,
              ),
              Row(
                mainAxisAlignment: MainAxisAlignment.start,
                children: [
                  Text(
                    widget.job.minSalary.toString(),
                    style: const TextStyle(
                      color: Colors.black,
                      fontSize: 13,
                    ),
                  ),
                  const Icon(
                    Icons.attach_money,
                    size: 13,
                    color: Colors.black,
                  )
                ],
              )
            ],
          ),
          trailing: const Icon(
            Icons.keyboard_arrow_right,
            color: Colors.black,
            size: 30,
          ),
        ),
      ),
    );
  }
}
