import 'package:flutter/material.dart';

import '../data/mynotification.dart';

class MyNotificationWidget extends StatefulWidget {
  final MyNotification notification;

  const MyNotificationWidget({super.key, required this.notification});

  @override
  State<MyNotificationWidget> createState() => _MyNotificationWidgetState();
}

class _MyNotificationWidgetState extends State<MyNotificationWidget> {
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: Card(
        color: Colors.white24,
        child: ListTile(
          onLongPress: () {},
          onTap: () {
            // Navigator.pushReplacement(
            //     context,
            //     MaterialPageRoute(
            //         builder: (context) => NotificationDetailsScreen(
            //             notification: widget.notification)));
          },
          leading: Container(
            width: 1,
            padding: const EdgeInsets.only(right: 8.0),
            decoration: const BoxDecoration(
              border: Border(right: BorderSide(width: 1)),
            ),
          ),
          title: Text(widget.notification.date,
              style: const TextStyle(
                  color: Colors.amber,
                  fontSize: 16,
                  fontWeight: FontWeight.bold),
              maxLines: 2,
              overflow: TextOverflow.ellipsis),
          subtitle: Column(
            mainAxisAlignment: MainAxisAlignment.start,
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Text(widget.notification.details,
                  style: const TextStyle(
                    color: Colors.black,
                    fontSize: 13,
                  ),
                  maxLines: 3,
                  overflow: TextOverflow.ellipsis),
              const SizedBox(
                height: 8,
              ),
            ],
          ),
          trailing: const Icon(
            Icons.keyboard_arrow_right,
            color: Colors.black,
            size: 30,
          ),
        ),
      ),
    );
  }
}
