import 'package:flutter/material.dart';

import '../services/global_variables.dart';

class SimpleJobWidget extends StatelessWidget {
  final String image;
  final String jobName;
  final String companyName;
  const SimpleJobWidget(
      {super.key,
      required this.image,
      required this.jobName,
      required this.companyName});
  @override
  Widget build(BuildContext context) {
    Size size = MediaQuery.of(context).size;

    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: Card(
        color: Colors.grey,
        shape: Border.all(color: Colors.orange, width: 2),
        child: ListTile(
          leading: SizedBox(
            width: size.width * 0.18,
            height: size.width * 0.18,
            child: ClipOval(
              child: Image.network(
                '$myUrl/api/company/getImage/$image',
                fit: BoxFit.fill,
                headers: {
                  'Authorization': 'Bearer ${identifier.token}',
                },
              ),
            ),
          ),
          title: Text(companyName,
              style: const TextStyle(
                  color: Colors.orange,
                  fontSize: 18,
                  fontWeight: FontWeight.bold),
              maxLines: 2,
              overflow: TextOverflow.ellipsis),
          subtitle: Column(
            mainAxisAlignment: MainAxisAlignment.start,
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Text(jobName,
                  style: const TextStyle(
                      color: Colors.black,
                      fontSize: 15,
                      fontWeight: FontWeight.bold),
                  maxLines: 2,
                  overflow: TextOverflow.ellipsis),
              const SizedBox(
                height: 8,
              ),
            ],
          ),
        ),
      ),
    );
  }
}
